When representing laws and regulations in machine-readable format, we need to capture who has the authority (bevoegdheid) to make binding decisions.
In Wet op de Zorgtoeslag (BWBR0018451):
In Regeling Standaardpremie (BWBR0050536):
In Wet langdurige zorg (BWBR0035917):
competent_authority. It is not supervision (toezicht) in the sense of chapter 5 Awb. Supervision in that sense sits elsewhere, for example with the IGJ over care providers (article 10.4.1).One law can have multiple competent authorities for different actions. The model has to record which authority belongs to which article, because the law grants authority article by article. For example, a law might grant authority to:
Objection and appeal (bezwaar en beroep) are a separate question, handled in RFC-008; the courts are not administrative bodies and fall outside competent_authority altogether. Administrative appeal (administratief beroep) is different: there an administrative body decides under an authority of its own, and that body can carry a competent_authority.
Additionally, some authorities are categorical rather than specific. For example, the College of Mayor and Aldermen (college van burgemeester en wethouders) applies to all 340+ municipalities, not a single entity.
Three routes lead to a body exercising authority, and they leave different traces in the law text.
Attribution (attributie) creates the authority and assigns it in one move. The law names the holder, so the article itself tells you who is competent. Article 5(1) of the Wet op de zorgtoeslag charges the Dienst Toeslagen with executing the act; the same holds for the inspecteur in the tax acts, and for the SVB, UWV and CAK.
Mandate (mandaat) leaves the authority where it is and allows another body to exercise it in the holder’s name (art. 10:1 Awb). Legally the minister takes the decision. Mandate is arranged in a mandate decree (mandaatbesluit) rather than in the law, so it is normally invisible to a reader of the law text, and this is the common arrangement for implementing bodies: the IND decides on residence permits, while article 14 of the Vreemdelingenwet 2000 grants the power to Onze Minister. A law can also fence mandate in: article 7.1.2(4) Wlz allows mandate for indication decisions only to someone working under the CIZ’s responsibility.
Delegation (delegatie) transfers the authority itself, and the receiving body exercises it under its own responsibility (art. 10:13 Awb). Delegation requires a statutory basis, so it is visible in the law text.
Define competent_authority at the article level (in machine_readable), not at document top-level.
A document-level field would have to be read off the preamble, which is the wrong place to look. The preamble of the Regeling Standaardpremie names the Minister without granting anything; the grant is article 4 of the Wet op de zorgtoeslag. Article level keeps the field where the law puts the authority.
competent_authority is an object with:
name: name of the authority (required)type: enum INSTANCE or CATEGORY (optional, defaults to INSTANCE)INSTANCE: A specific organization (Dienst Toeslagen, CIZ, CAK, Sociale verzekeringsbank)CATEGORY: A category that must be resolved per context (College of Mayor and Aldermen (college van B&W), municipal council (gemeenteraad), provincial executive (gedeputeerde staten))Article-level authority makes sense because:
Object structure with type because:
Skip identifiers (OIN, TOOI) for now because:
# references for competent_authority? When competent_authority: '#bevoegd_gezag' references an output, the type (INSTANCE/CATEGORY) must be specified separately. This is awkward because the type isn’t part of the law being modeled; it’s metadata we’re adding. Some laws designate the “bevoegd gezag” themselves. Paragraph 5.1.2 of the Omgevingswet, titled “Reikwijdte aanvraag omgevingsvergunning en aanwijzing bevoegd gezag”, does exactly that for the environmental permit (omgevingsvergunning): article 5.8 makes the college of mayor and aldermen competent for a single-activity application, and articles 5.9 and following assign other bodies. Where a law does that, the reference points at a term the law already fixes, and the awkwardness shrinks to the laws that leave it implicit.competent_authority name under mandate? One answer, proposed in the review of #776 and not yet decided: where the law attributes, name the implementing body; where the law grants the power to a minister and an implementing body acts in mandate, name the minister, whoever signs the decision in practice. RFC-009 proposes acts_for for the engine side of the same question. The open questions on authority are collected in #1298.CATEGORY complete without the variable that points at the instance? The law usually says which member of the category is meant: article 40 of the Participatiewet makes competent the college of the municipality where the person concerned lives. type: CATEGORY records only the category and loses that pointer. Tracked in #1029.competent_authority now carries both. Tracked in #1030.Note (2026-10-20): RFC-051 gives an open term and a required fact (requires with fact) a competent_authority of their own, in the shape above or as a list (schema v0.8.8). On the term it says who may answer it, on the fact who establishes it. On the article the field keeps the meaning given here, who decides, with one authority. The engine routes on the term’s field, never on the article’s.
Factual errors corrected after acceptance. The decisions this RFC records are unchanged.
# references, CATEGORY and “Onze Minister”, are recorded as open questions. Source: review by Mariette Lokin, #776, worked out with the team.An exploration into transparent, executable legislation, and one of the three projects in the starting selection of the Nederlandse Digitale Dienst.
GitHub repository
How it works
Stay informed
Roadmap (Dutch)
Documentation
Research
Nederlandse Digitale Dienst
Ministry of Economic Affairs and Climate Policy